package com.dbnt.sims.codeMgt.repository;

import com.dbnt.sims.codeMgt.model.CodeMgt;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface CodeMgtRepository extends JpaRepository<CodeMgt, CodeMgt.CodeMgtId> {

  List<CodeMgt> findByCategoryCdOrderByItemCdAsc(String categoryCd);
  List<CodeMgt> findByCategoryCdAndUseChkOrderByItemCdAsc(String categoryCd, String useChk);
  List<CodeMgt> findByUseChkOrderByItemCdAsc(String useChk);
  List<CodeMgt> findByOrderByItemCdAsc();
}
